diff --git a/contrib/pg_upgrade/pg_upgrade.c b/contrib/pg_upgrade/pg_upgrade.c
new file mode 100644
index b32d81e..5e715fc
*** a/contrib/pg_upgrade/pg_upgrade.c
--- b/contrib/pg_upgrade/pg_upgrade.c
*************** copy_clog_xlog_xid(void)
*** 451,461 ****
  	else if (new_cluster.controldata.cat_ver >= MULTIXACT_FORMATCHANGE_CAT_VER)
  	{
  		/*
! 		 * Remove files created by initdb that no longer match the
! 		 * new multi-xid value.
  		 */
  		remove_new_subdir("pg_multixact/offsets", false);
- 		remove_new_subdir("pg_multixact/members", false);
  
  		prep_status("Setting oldest multixact ID on new cluster");
  
--- 451,461 ----
  	else if (new_cluster.controldata.cat_ver >= MULTIXACT_FORMATCHANGE_CAT_VER)
  	{
  		/*
! 		 * Remove offsets/0000 file created by initdb that no longer matches
! 		 * the new multi-xid value.  "members" starts at zero so no need to
! 		 * remove it.
  		 */
  		remove_new_subdir("pg_multixact/offsets", false);
  
  		prep_status("Setting oldest multixact ID on new cluster");
  
